Summary: Multiple stacked system monitors in one process.
Name:	gkrellm
Version:	1.0.8
Release:	5
License:	GPL
Group:	Applications/System
URL:	http://web.wt.net/~billw/gkrellm
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-nls.patch
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib
BuildRequires:	gtk+-devel >= 1.2, glib-devel >= 1.2
BuildRequires:	imlib, imlib-devel, XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.


%prep

%setup -q
%patch0 -p1 -b .nls

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
mkdir -p $RPM_BUILD_ROOT%{_includedir}/%{name}

make install \
	LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale \
	INSTALLDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes.html
%doc INSTALL gkrellmrc
%{_bindir}/gkrellm
%{_mandir}/man1/gkrellm.1*
%{_includedir}/%{name}/gkrellm*


%changelog
* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Add %%defattr
- langify
- Don't define name, ver and rel at the top of the spec file

* Wed Jun 27 2001 Karsten Hopp <karsten@redhat.de>
- fix _mandir
- fix BuildRequires

* Wed Jun 27 2001 SATO Satoru <ssato@redhat.com>
- clean up (use system-defined macros)
- enable NLS

* Wed Mar 14 2001 Rob Lineweaver <rbline@wm.edu>
- fixed new manpage inclusion for newer RPM versions
- source is 1.0.7
- compiled for PPC and i386

* Fri Jan 19 2001 Kevin Ford <klford@uitsg.com>
- general cleanup of spec file

* Thu Jan 18 2001 Kevin Ford <klford@uitsg.com>
- Updated spec file to work with both v3 & v4 rpm
- moved changelog to bottom of spec file
- added defines for common items

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.

